import { useLocation } from 'react-router-dom';

export default function AccountLink({ link, ...props }) {
    const location = useLocation();

    return (
        <a
            {...props}
            style={{ textDecorationSkipInk: 'none' }}
            className={
                'text-3xl font-light text-[var(--color-unused-text-gray)] hover:text-[var(--color-form-dark-black)] hover:drop-shadow-md hover:cursor-pointer active:font-normal active:text-[var(--color-form-dark-black)] ' +
                (location.pathname === link.url
                    ? 'text-[var(--color-form-dark-black)] underline  underline-offset-auto decoration-wavy decoration-2 lg:decoration-4 decoration-[var(--color-text-dark-blue)]'
                    : '')
            }>
            {link.name}
        </a>
    );
}
