import AccountLink from 'components/common/Link/AccountLink';
import { useNavigate } from 'react-router-dom';

const availableLinks = [
    {
        name: 'Моё расписание',
        url: '/account/schedule'
    },
    {
        name: 'Мои тренировки',
        url: '/account/trainings'
    },
    {
        name: 'Мои упражнения',
        url: '/account/exercises'
    },
    {
        name: 'Мои клиенты/тренеры',
        url: '/account/clients'
    }
];

export default function UserAccountLinks() {
    const navigate = useNavigate();

    const handleClickOnLink = (link) => {
        navigate(link.url, { replace: true });
    };

    return (
        <>
            <div className="flex flex-col lg:flex-row justify-between gap-5 lg:gap-10 px-6 py-3 bg-slate-200 rounded-md">
                {availableLinks.map((link) => (
                    <AccountLink
                        onClick={() => handleClickOnLink(link)}
                        link={link}
                        key={link.url}
                    />
                ))}
            </div>
        </>
    );
}
