// FIXME: change icons (use MUI icons)
import femaleUserIcon from 'assets/images/female-icon.svg';
import maleUserIcon from 'assets/images/male-icon.svg';
import styled from 'styled-components';
import { shrinkStringByLimit } from 'utils/strings';

// FIXME: remove styled-components
const BaseUserDiv = styled.div`
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    padding-block: 2vh;
    gap: 1vh;
`;

const FemaleDiv = styled(BaseUserDiv)`
    border: 3px solid #9a5593;
`;

const MaleDiv = styled(BaseUserDiv)`
    border: 3px solid #555c9a;
`;

const StyledImg = styled.img`
    flex-shrink: 0;

    &:hover {
        filter: drop-shadow(0px 2px 2px var(--color-placeholder));
    }
`;

export default function ClientCard({ client, ...props }) {
    return (
        <>
            {client.sex === 'MALE' ? (
                <MaleDiv>
                    <StyledImg {...props} src={maleUserIcon} alt="User icon" />
                    <span className="text-[#555c9a] text-3xl md:text-lg">
                        {client.first_name[0] +
                            '. ' +
                            shrinkStringByLimit(client.last_name, 10, '.', 3)}
                    </span>
                </MaleDiv>
            ) : (
                <FemaleDiv>
                    <StyledImg {...props} src={femaleUserIcon} alt="User icon" />
                    <span className="text-[#9a5593] text-3xl">
                        {client.first_name[0] +
                            '. ' +
                            shrinkStringByLimit(client.last_name, 10, '.', 3)}
                    </span>
                </FemaleDiv>
            )}
        </>
    );
}
