import femaleMentorIcon from 'assets/images/female-mentor-hat-icon.svg';
import maleMentorIcon from 'assets/images/male-mentor-hat-icon.svg';
import styled from 'styled-components';
import { shrinkStringByLimit } from 'utils/strings';

// FIXME: remove styled-components
const BaseMentorDiv = styled.div`
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    padding-block: 2vh;
    gap: 1vh;
`;

const FemaleDiv = styled(BaseMentorDiv)`
    border: 3px solid #9a5593;
`;

const MaleDiv = styled(BaseMentorDiv)`
    border: 3px solid #555c9a;
`;

const StyledImg = styled.img`
    flex-shrink: 0;

    &:hover {
        filter: drop-shadow(0px 2px 2px var(--color-placeholder));
    }
`;

export default function MentorCard({ mentor, ...props }) {
    return (
        <>
            {mentor.sex === 'MALE' ? (
                <MaleDiv>
                    <StyledImg {...props} src={maleMentorIcon} alt="Mentor icon" />
                    <span className="text-[#555c9a] text-3xl md:text-lg">
                        {mentor.first_name[0] +
                            '. ' +
                            shrinkStringByLimit(mentor.last_name, 10, '.', 3)}
                    </span>
                </MaleDiv>
            ) : (
                <FemaleDiv>
                    <StyledImg {...props} src={femaleMentorIcon} alt="Mentor icon" />
                    <span className="text-[#9a5593] text-3xl">
                        {mentor.first_name[0] +
                            '. ' +
                            shrinkStringByLimit(mentor.last_name, 10, '.', 3)}
                    </span>
                </FemaleDiv>
            )}
        </>
    );
}
