import AddCircleRoundedIcon from '@mui/icons-material/AddCircleRounded';
import DeleteForeverRoundedIcon from '@mui/icons-material/DeleteForeverRounded';
import EditRoundedIcon from '@mui/icons-material/EditRounded';
import { IconButton } from '@mui/material';
import { blue, green, red } from '@mui/material/colors';
import styled from 'styled-components';

const NotSpecifiedSpan = styled.span`
    color: var(--color-unused-text-gray);
    font-size: 14px;
    padding-right: 3%;
`;

const TagContainer = styled.div`
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    background-color: var(--color-light-gray);
    border-radius: 25px;
    padding: 4%;
    justify-content: flex-start;
    align-content: flex-start;
    align-items: center;
    margin-bottom: 2%;
`;

const NotSpecifiedTagContainer = styled.div`
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    background-color: var(--color-light-gray);
    border-radius: 25px;
    padding: 4%;
    justify-content: flex-start;
    align-content: flex-start;
    align-items: flex-start;
    margin-bottom: 2%;
`;

const AddButtonContainer = styled.div`
    background-color: var(--color-light-gray);
    border-radius: 25px;
    padding: 1% 3%;
    width: max-content;
`;

const StyledImage = styled.img`
    width: 100%;
    height: auto;
    border-radius: 20px;
`;

// TODO: edit exercise for admin only?
export default function MediaLinksDropDownContent({ mediaLinks }) {
    return (
        <>
            {mediaLinks.length > 0 ? (
                mediaLinks.map((link) => (
                    <div
                        key={link.url}
                        className="flex flex-col bg-[var(--color-light-gray)] rounded-lg py-1 px-2 justify-between items-center">
                        <StyledImage src={link.url} alt={link.name} />
                        <div className="flex flex-row mt-1">
                            <IconButton sx={{ color: blue[700] }} size="medium">
                                <EditRoundedIcon fontSize="inherit" />
                            </IconButton>
                            <IconButton sx={{ color: red[400] }} size="medium">
                                <DeleteForeverRoundedIcon fontSize="inherit" />
                            </IconButton>
                        </div>
                    </div>
                ))
            ) : (
                <div className="flex flex-row bg-[var(--color-light-gray)] rounded-lg py-1 px-3 justify-between items-center">
                    <span className="text-[var(--color-unused-text-gray)] text-2xl py-1">
                        не указано
                    </span>
                </div>
            )}
            <div className="bg-[var(--color-light-gray)] rounded-lg py-1 px-2 mt-1">
                <IconButton sx={{ color: green[500] }} size="medium">
                    <AddCircleRoundedIcon fontSize="inherit" />
                </IconButton>
            </div>
        </>
    );
}
