import HourglassEmptyIcon from '@mui/icons-material/HourglassEmpty';
import dayjs from 'dayjs';

export default function TrainingCard({ training, isSelected, ...props }) {
    const trainingCardBgColor = isSelected ? 'bg-[#46ABC6]' : 'bg-[var(--color-contrast-blue)]';
    return (
        <>
            <div
                className={
                    'flex flex-col justify-center items-start rounded-md p-3 gap-1 ' +
                    trainingCardBgColor
                }
                {...props}>
                {/* TODO: {shrinkStringByLimit(training.name, 19, '.', 3)} */}
                <div className="grid grid-rows-2 gap-1 w-full">
                    <p className="font-normal text-lg text-[var(--color-form-white)]">
                        Клиент: {training.client.first_name[0] + '. ' + training.client.last_name}
                    </p>
                    <div className="flex flex-row justify-between items-center col-span-12">
                        <p className="font-normal text-lg text-[var(--color-form-white)]">
                            {dayjs(training.date_time_start).format('DD.MM.YYYY')}
                        </p>
                        <HourglassEmptyIcon className="text-[var(--color-form-white)] border-2 rounded-lg text-2xl" />
                    </div>
                </div>
            </div>
        </>
    );
}
