import { createTheme } from '@mui/material/styles';

const theme = createTheme({
    palette: {
        primary: {
            main: '#009BDF'
        },
        secondary: {
            main: '#14568D'
        },
        error: {
            main: '#FF0000'
        }
    },
    typography: {
        fontFamily: 'Onest, Arial, sans-serif'
    },
    components: {
        MuiOutlinedInput: {
            styleOverrides: {
                input: {
                    padding: '0.5rem'
                }
            }
        },
        MuiButton: {
            styleOverrides: {
                root: {
                    textTransform: 'none'
                }
            }
        },
        MuiAccordion: {
            styleOverrides: {
                root: {
                    '::before': {
                        backgroundColor: 'transparent'
                    }
                }
            }
        }
    }
});
export default theme;
