import { closeSnackbar, enqueueSnackbar } from 'notistack';

type SnackbarVariant = 'default' | 'error' | 'success' | 'warning' | 'info';

export const displaySnackbar = (message: string, variant: SnackbarVariant) => {
    const snackbarKey = enqueueSnackbar(message, {
        variant: variant,
        SnackbarProps: {
            onClick: () => closeSnackbar(snackbarKey)
        }
    });
    return snackbarKey;
};
