import UserAccountLinks from 'components/common/UserAccountLinks';
import Clients from 'components/pages/clients/Clients';
import RightGridPartForClient from 'components/pages/clients/RightGridPartForClient';
import useAuth from 'hooks/useAuth';
import Header from 'layout/shared/Header';
import { useEffect } from 'react';
import { useNavigate } from 'react-router-dom';

export default function MyClients() {
    const { auth } = useAuth();
    const navigate = useNavigate();

    // FIXME
    useEffect(() => {
        if (!auth?.accessToken && !localStorage.getItem('updateToken')) {
            navigate('/error', { replace: false });
        }
    }, [auth, navigate]);

    return (
        <>
            <Header />
            <div className="hidden lg:block">
                <UserAccountLinks />
            </div>
            <div className="grid lg:grid-cols-2 grid-cols-1 px-4 py-2 items-start">
                <Clients />
                <RightGridPartForClient />
            </div>
        </>
    );
}
