import UserAccountLinks from 'components/common/UserAccountLinks';
import Trainings from 'components/pages/trainings/Trainings';
import TrainingViewer from 'components/pages/trainings/TrainingViewer';
import useAuth from 'hooks/useAuth';
import Header from 'layout/shared/Header';
import { useEffect } from 'react';
import { useNavigate } from 'react-router-dom';
import { useImmer } from 'use-immer';

export default function MyTrainings() {
    const { auth } = useAuth();
    const navigate = useNavigate();
    const [selectedTraining, setSelectedTraining] = useImmer(undefined);

    // FIXME
    useEffect(() => {
        if (!auth?.accessToken && !localStorage.getItem('updateToken')) {
            navigate('/error', { replace: false });
        }
    }, [auth, navigate]);

    return (
        <>
            <Header />
            <div className="hidden lg:block">
                <UserAccountLinks />
            </div>
            <div className="grid grid-cols-3 px-4 py-2 items-start gap-2">
                <Trainings
                    selectedTraining={selectedTraining}
                    changeSelectedTraining={setSelectedTraining}
                />
                <TrainingViewer selectedTraining={selectedTraining} />
            </div>
        </>
    );
}
